ALTER PROCEDURE OP_GrabarValesProc  
(@CORRNBR          int,  
 @DOCTYPEID        UD_DOCTYPEID,  
 @NBRDOCUMENT      UD_CORRELATIVOS,  
 @DATEPROCESALES   UD_FECHA)
as  
BEGIN  
   -- Declaración de Variables       
  
   DECLARE @custidss  	  UD_CODCLIENT   
   DECLARE @SITEID    	  UD_IDSITE   
   DECLARE @NBRBONUS  	  NUMERIC(10)     
   DECLARE @ERROR     	  INTEGER
   DECLARE @MONTOBONUS 	  NUMERIC(9,4)  
   DECLARE @PLACA	  CHAR(10)
   DECLARE @NOMCONDUCTOR  CHAR(80)
   -- Declaración del Cursor   
   DECLARE OPBONUS CURSOR FOR  
           SELECT custidss,SITEID,NBRBONUS,MONTOBONUS,PLACA,NOMCONDUCTOR FROM TMP_OP_BONUS WHERE CORRNBR=@CORRNBR   
      OPEN OPBONUS  
      FETCH NEXT FROM OPBONUS INTO @custidss,@SITEID,@NBRBONUS,@MONTOBONUS,@PLACA,@NOMCONDUCTOR
  
      WHILE @@FETCH_STATUS = 0  
           BEGIN            
              INSERT INTO OP_BONUS (DOCTYPEID,NBRDOCUMENT,custidss,SITEID,NBRBONUS,DATEPROCESALES,MONTOBONUS,PLACA,NOMCONDUCTOR)   
                          VALUES(@DOCTYPEID,@NBRDOCUMENT,@custidss,@SITEID,@NBRBONUS,@DATEPROCESALES,@MONTOBONUS,@PLACA,@NOMCONDUCTOR)  
  
              SET @ERROR=@@error  
       
                IF (@ERROR!=0)  
                  BEGIN         
                    CLOSE OPBONUS  
                    DEALLOCATE OPBONUS  
                    RETURN(1)    
                  END   
               
              FETCH NEXT FROM OPBONUS INTO @custidss,@SITEID,@NBRBONUS,@MONTOBONUS,@PLACA,@NOMCONDUCTOR                                  
           END  
    
      CLOSE OPBONUS  
      DEALLOCATE OPBONUS  
      RETURN (0)           
END  